Skip to main content
Other

List currently held locks

Get table locks currently held for the specified table name and/or user login. This method requires the Locks:Get permission to be associated with your role.

GET
/gb/locks
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_namestringquery

Table name

Maximum string length: 64
Pattern: ^[a-z0-9\_]+$
user_loginstringquery

Login of the user holding the lock

Maximum string length: 25

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]